# mysqli::more_results

# mysqli_more_results

(PHP 5, PHP 7)

mysqli::more_results -- mysqli_more_results — Check if there are any more query results from a multi query

### Description

Object oriented style

mysqli::more_results ( void ) : bool

Procedural style

mysqli_more_results ( mysqli `$link` ) : bool

Indicates if one or more result sets are available from a previous call to mysqli_multi_query().

### Parameters

`link`

  Procedural style only: A link identifier returned by mysqli_connect() or mysqli_init()

### Return Values

Returns `TRUE` if one or more result sets are available from a previous call to mysqli_multi_query(), otherwise `FALSE`.

### Examples

See mysqli_multi_query().

### See Also

- mysqli_multi_query() - Performs a query on the database
- mysqli_next_result() - Prepare next result from multi_query
- mysqli_store_result() - Transfers a result set from the last query
- mysqli_use_result() - Initiate a result set retrieval